**PROTOCOL**

# `MenuItem`

A structure representing the content for a certain menu item type.

## Methods
### `addMenuItem(menu:app:window:)`

Add the menu item to a certain menu.
- Parameters:
  - menu: The menu.
  - app: The application containing the menu.
  - window: The application window containing the menu.
